package com.steerinfo.baseinfo.meterbasethread.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasethread.model.MeterBaseThread;

import java.util.List;

/**
 * MeterBaseThread服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-18 05:23
 * 类描述
 * 修订历史：
 * 日期：2020-06-18
 * 作者：generator
 * 参考：
 * 描述：MeterBaseThread服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseThreadService extends IBaseService<MeterBaseThread, String>{
     String checkandadd(MeterBaseThread model);

     String Recovery(List<MeterBaseThread> models);

     String checkandupdate(String id,MeterBaseThread model);

     String abolish(List<MeterBaseThread> models);

     void performMigration();
}